View Issue Details

IDProjectCategoryView StatusLast Update
0003061PartDesignBugpublic2018-10-04 11:39
ReporterjholAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionopen 
Product Version0.17 
Target Version0.18Fixed in Version 
Summary0003061: "Move object after other object" function causes chaos
DescriptionFreeCAD part design gets very confused about the order of sketches and features if the "Move object after other object" function is used. This series of bugs means that if "Move object after other object" is used, it pretty thoroughly breaks a CAD document.
Steps To Reproduce1. Create a sketch on the XY-plane. Draw a rectangle. Create a pad - this is "Sketch"+"Pad"
2. Create a second sketch on the XY-plane. Draw a rectangle intersecting with the first. Create a pad - this is "Sketch001"+"Pad001"
3. Right click on "Pad", and select "Move object after other object", and select "Pad001".
4. "Pad" has now moved to the end of the list, but "Pad001" is still has visibility. Bug: "Pad" should get visibility instead. Push Spacebar to make "Pad" visible.
5. Now, delete "Pad" - and "Sketch" appears before "Pad001". Bug: It should appear after "Pad001".

6. Start a new document, and repeat steps 1-4.
7. Create a sketch on the XY-plane with another intersecting rectangle. Close the sketch.
8. Bug: This sketch "Sketch002" appears in the list after "Pad001" before "Pad". It should have appeared after pad. All further Sketches and Features are inserted before "Pad", rather than at the end of the list.
TagsNo tags attached.

Relationships

related to 0003084 closedabdullah PDN: Deleting features in the middle of the tree fails to update next features dependency (inlist) 
related to 0003312 closedabdullah Tip gets lost in Part Design body 

Activities

jhol

2017-06-01 05:31

reporter   ~0009233

FreeCad 0.17
Rev 11126
Release Date 2017/05/24 15:09:49
Hash 379ffe073f1

Kunda1

2017-06-10 11:52

manager   ~0009333

Discussion thread: https://forum.freecadweb.org/viewtopic.php?f=8&t=22876

DeepSOIC

2017-11-20 20:32

developer   ~0010444

IMO.
4. This is a minor bug. Can be fixed, of course.
5. I don't think it even is a problem. Sketches are not parts of the sequence, so their order of appearance is irrelevant.
8. Is it a bug or not is actually a hard question. From the description, it seems that "move feature after" did what it was supposed to do, but didn't advance Tip to match with last feature. As a result, all new features were applied to Tip feature, which explains the behavior, and it is by design. There is an "set tip" command in right-click menu, that can potentially rectify the situation.

But I can understand how this behavior looks like it is broken.

Kunda1

2017-11-21 01:14

manager   ~0010447

Bumping to 0.18

abdullah

2018-01-13 18:34

manager   ~0010758

Part or the totality of what is regarded as bug here is solved by:
https://github.com/FreeCAD/FreeCAD/pull/1224

If/when merged, probably it makes sense to do some testing/checks to see if there is something not yet solved and therefore needing a fix.

normandc

2018-09-16 16:46

manager   ~0011764

FYI behaviour has not changed, I still get the same result as detailed in the report, even if pull 1224 was apparently merged.

OS: Ubuntu 18.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.14727 (Git)
Build type: Release
Branch: master
Hash: c6df59969bfb3ae2027e2b47ddd559852f6e9a4e
Python version: 2.7.15rc1
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: French/Canada (fr_CA)

wmayer

2018-10-04 11:37

administrator   ~0011916

As written in the PR I don't see a relation to this ticket.

The two issues are:
* The sketch of a deleted and moved pad goes to the wrong position even when manually setting the tip beforehand. But this is only a cosmetic issue and so far has no impact on the modelling. I guess the wrong position is caused by the fact that in the Group property of the body the order is Sketch, Sketch001, Pad001. When manually changing it to Sketch001, Pad001, Sketch it's at the correct position in the tree view

* When moving a pad then the tip is not automatically set to the last object in the list. So, the question is if this should be done automatically or manually. But the further behaviour is correct when Pad001 is still the tip.

Issue History

Date Modified Username Field Change
2017-06-01 05:09 jhol New Issue
2017-06-01 05:31 jhol Note Added: 0009233
2017-06-10 11:52 Kunda1 Note Added: 0009333
2017-09-24 22:20 wmayer Target Version => 0.17
2017-11-20 20:32 DeepSOIC Note Added: 0010444
2017-11-21 01:14 Kunda1 Target Version 0.17 => 0.18
2017-11-21 01:14 Kunda1 Note Added: 0010447
2018-01-11 14:26 abdullah Relationship added related to 0003084
2018-01-13 15:39 abdullah Assigned To => abdullah
2018-01-13 15:39 abdullah Status new => assigned
2018-01-13 18:34 abdullah Note Added: 0010758
2018-01-22 20:11 wmayer Relationship added related to 0003312
2018-09-16 16:46 normandc Note Added: 0011764
2018-10-04 11:37 wmayer Note Added: 0011916
2018-10-04 11:39 wmayer Severity major => minor